GELF_FSIZE(3)

NAME
gelf_fsize - calculate the file size of an ELF data structure

SYNOPSIS
#include <gelf.h>
size_t gelf_fsize (Elf *elf, Elf_Type type, size_t count, unsigned int version);

DESCRIPTION
Return the number of bytes needed for the on-disk representation of an array of count elements with type denoted by type. The number of bytes depends on the binary class (ELFCLASS32 or ELFCLASS64) of the given elf. The on-disk and in-memory representations of Elf_Type are assumed to be the same. See libelf(3) for more information regarding Elf_Type.

PARAMETERS

elf The Elf descriptor that determines the binary class used to compute the file size.

type
    The ELF data structure for which the file size is to be calculated.

count
    The number of elements of the specified type.

version
    The ELF version. This should be set to EV_CURRENT, which is the only valid value.

RETURN VALUE
The size in bytes of the specified count and type of data structure. If version is not set to EV_CURRENT or type is not a valid Elf_Type, then 0 is returned and elf_errno is set. Integer overflow can occur if the size of type multiplied by count is greater than SIZE_MAX.

SEE ALSO
elf32_fsize(3), elf64_fsize(3), libelf(3), elf(5)

ATTRIBUTES
Interface | Attribute | Value
 | Thread safety | MT-Safe

REPORTING BUGS
Report bugs to <elfutils-devel@sourceware.org> or https://sourceware.org/bugzilla/.